package listsorter;

import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Arrays;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JList;

public class NamesSorter extends JFrame {

    int w=500;
    int h=500;
    JList lstNames;
    JButton btnSort;
    Object[] names=new Object[]{"Pera 1980", "Ana 1990",
	    "Mirko 1970", "Djordje 1988"};
    
    public NamesSorter() {
	super();
	setPreferredSize(new Dimension(w,h));
	setVisible(true);
	setDefaultCloseOperation(EXIT_ON_CLOSE);
	center();
	addComponents();
	pack();
    }
    
    void addComponents(){
	setLayout(new GridLayout(2,1));
	lstNames=new JList(names);
	add(lstNames);
	btnSort=new JButton("Sort");
	btnSort.addActionListener(new ActionListener() {
	    
	    @Override
	    public void actionPerformed(ActionEvent e) {
		Arrays.sort(names);
		lstNames.repaint();
	    }
	});
	add(btnSort);
    }
    
    void center(){
	Dimension d=Toolkit.getDefaultToolkit().getScreenSize();
	setLocation((d.width-w)/2, (d.height-h)/2);
    }
    
    /**
     * @param args
     */
    public static void main(String[] args) {
	NamesSorter gui=new NamesSorter();
    }

}
