package listsorter;

import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Collections;
import java.util.Comparator;
import java.util.Vector;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JList;

public class PersonSorter extends JFrame {

    int w = 500;

    int h = 500;

    JList lstNames;

    JButton btnSort;

    Vector<Person> names;

    public PersonSorter() {
	super();
	setPreferredSize(new Dimension(w, h));
	setVisible(true);
	setDefaultCloseOperation(EXIT_ON_CLOSE);
	center();
	addComponents();
	pack();
    }

    void addComponents() {
	setLayout(new GridLayout(2, 1));
	names = new Vector<Person>();
	names.add(new Person("Pera", 1980));
	names.add(new Person("Ana", 1990));
	names.add(new Person("Mirko", 1970));
	names.add(new Person("Djordje", 1988));
	lstNames = new JList(names);
	add(lstNames);
	btnSort = new JButton("Sort");
	btnSort.addActionListener(new ActionListener() {

	    @Override
	    public void actionPerformed(ActionEvent e) {
		Collections.sort(names);
		/* OVO JE DRUGI NACIN, POMOCU KOMPARATORA EKSPL. */
		/*
		Collections.sort(names, new Comparator<Person>() {
		    @Override
		    public int compare(Person o1, Person o2) {
			return o1.byear - o2.byear;
		    }
		});
		*/
		lstNames.repaint();
	    }
	});
	add(btnSort);
    }

    void center() {
	Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
	setLocation((d.width - w) / 2, (d.height - h) / 2);
    }

    /**
     * @param args
     */
    public static void main(String[] args) {
	PersonSorter gui = new PersonSorter();
    }

}
